; post as a solution to this: FARR conflict with Dirt3 - http://www.donationcoder.com/forum/index.php?topic=35465.0
; Last Updated: May 08, 2015 (12:39:32 pm)

#Persistent
#SingleInstance, Force
#NoEnv

RegRead, STEAMDIR, HKCU, SOFTWARE\Valve\Steam, SteamPath
If Errorlevel <> 1   ; -- 1 means no key/value found
{
  StringReplace, STEAMDIR, STEAMDIR, /, \, All 
  OutputDebug, % "[DBG] STEAMDIR = " . STEAMDIR
}
Else
{
MsgBox, 48,DiRT 3 Complete Edition Launcher, Steam folder not found.  Aborting...
ExitApp
}

; put some vars here - start
game_icon         = %STEAMDIR%\steam\games\3563c69e6e416893a756ce761a85ef02da7096c8.ico
game_name         = DiRT 3 Complete Edition
game_windowtitle  = DiRT 3 ahk_class NeonClass_41
game_headerimage  = Dirt_3_CE_header.jpg
game_appid        = 321040
game_exe          = %STEAMDIR%\SteamApps\common\DiRT 3 Complete Edition\dirt3_game.exe
FarrClose         := 0    ; flag to check if Farr is closed or not
; put some vars here - end

SetBatchLines, -1
SetTitleMatchMode, 2		; partial match
SetWorkingDir, %A_ScriptDir%
SendMode, Input
DetectHiddenWindows, On	; needed for detecting Farr.

; Menu stuff
If Not A_IsCompiled
  IfExist, %game_icon%
    Menu, Tray, Icon, %game_icon%

Menu, Tray, Tip, %game_name% Launcher
Text=Launching %game_name%...

; CLose Farr  if it exists
Process, Exist, FindAndRunRobot.exe
GetFarrPID = %ErrorLevel%  ; Save pid value.
If ErrorLevel <> 0
  {
  WinGet, GetFarrPath, ProcessPath, ahk_pid %GetFarrPID%
  OutputDebug, % "[DBG] Process Farr: " . GetFarrPID . "`n[DBG] Farr Path = " . GetFarrPath
  ;Run, "%GetFarrPath%" -exit
  Process, Close, %GetFarrPID%
  FarrClose:=1
  }
  
Process, Exist, dirt3_game.exe
OutputDebug, % "[DBG] Process DiRT 3 : " . ErrorLevel
If ErrorLevel <> 0
  {
  ;do nothing for now
  }
Else
  {
  IfExist, %game_headerimage%
    SplashImage, %game_headerimage%, B1 ZX0 ZY0 CTWhite CW000000 FS16, %Text%.
  Run, steam://rungameid/%game_appid%
  ;Run, "%STEAMDIR%\Steam.exe" -applaunch %game_appid%
  OutputDebug, % "[DBG] Launch Dirt 3 ErrorLevel: " . ErrorLevel
  Sleep, 15000  ; 15 seconds
  Splashimage, Off
  SetTimer, AutoClose, 8000
  }
Return

AutoClose:
IfWinNotExist, %game_windowtitle% 
{
      Sleep, 10000
      Process, Exist, dirt3_game.exe
      OutputDebug, % "[DBG] Process DiRT 3 : " . ErrorLevel
      If ErrorLevel <> 0
        {
        ;do nothing for now
        }
      ToolTip, %game_name% Launcher will exit in 10 seconds.

      ;Start Farr again
      If FarrClose:=1
          {
          Run, "%GetFarrPath%" -tray ,, UseErrorLevel
          OutputDebug, % "[DBG] Launch Farr again: " . ErrorLevel
          FarrClose:=0
          }
      Sleep, 10000
      ExitApp
}
Return
